Groovy 1.7.10

## groovy.lang
[Java] Class Reference

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Reference

All Implemented Interfaces:
  Serializable

    public class Reference
    extends GroovyObjectSupport

Represents a reference to a value

Authors:
  James Strachan

Version:
  \$Revision: 20473 \$

Constructor Summary
`Reference()`
`Reference(T value)`

Method Summary
`T` | `get()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `set(T value)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Reference

    public Reference()

### Reference

    public Reference(T value)

Method Detail

### get

    public T get()

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### set

    public void set(T value)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.